import { Outlet } from "react-router";

import { requireAuthToken } from "@/lib/auth.server";

import type { Route } from "./+types/layout";

export const loader = ({ request }: Route.LoaderArgs) =>
  requireAuthToken(request);

export default function AppLayout() {
  return <Outlet />;
}
